<!doctype html>
<html lang="en">
	
<head>
		<!-- Required meta tags -->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<!-- Meta -->
		<meta name="description" content="Responsive Bootstrap4 Dashboard Template">
		<meta name="author" content="ParkerThemes">
		<link rel="shortcut icon" href="img/fav.png">

		<!-- Title -->
		<title>ITEM STOCK LEDGER -  {{request()->date == null ? $dayClose->day_close : request()->date}}</title>

        <!-- Date Range CSS -->
        <link rel="stylesheet" href="{{asset('assets/vendor/daterange/daterange.css')}}">

                
        <!-- Uploader CSS -->
        <link rel="stylesheet" href="{{asset('assets/vendor/dropzone/dropzone.min.css')}}" />

        <!-- *************
            ************ Common Css Files *************
        ************ -->
        <!-- Bootstrap css -->
        <link rel="stylesheet" href="{{asset('assets/css/bootstrap.min.css')}}">

        <!-- Icomoon Font Icons css -->
        <link rel="stylesheet" href="{{asset('assets/fonts/style.css')}}">

        <!-- Main css -->
        <link rel="stylesheet" href="{{asset('assets/css/main.css')}}">

        <!-- fontAwesome -->
        <link href="{{asset('assets/fontawesome/css/all.css')}}" rel="stylesheet">


        <!-- Data Tables -->
        <link rel="stylesheet" href="{{asset('assets/vendor/datatables/dataTables.bs4.css')}}" />
        <link rel="stylesheet" href="{{asset('assets/vendor/datatables/dataTables.bs4-custom.css')}}" />
        <link href="{{asset('assets/vendor/datatables/buttons.bs.css')}}" rel="stylesheet" />

		<!-- Sweet Alert-->
		<link href="{{asset('assets/libs/sweetalert2/sweetalert2.min.css')}} " rel="stylesheet" type="text/css" />


        <script src="{{asset('assets/js/ajax.min.js')}}"></script>

        <!-- *************
            ************ Vendor Css Files *************
        ************ -->

        <!-- Bootstrap Select CSS -->
        <link rel="stylesheet" href="{{asset('assets/vendor/bs-select/bs-select.css')}}" />

        <!-- Mega Menu -->
        <link rel="stylesheet" href="{{asset('assets/vendor/megamenu/css/megamenu.css')}}">

        <!-- Search Filter JS -->
        <link rel="stylesheet" href="{{asset('assets/vendor/search-filter/search-filter.css')}}">
        <link rel="stylesheet" href="{{asset('assets/vendor/search-filter/custom-search-filter.css')}}">
	</head>

    <style>
         @media print {
                #back{
                    visibility: hidden;
                }
            }
    </style>

<body onload="window.print();">

<div class="card-body">
<div class="invoice-container">
    <div class="invoice-header">
        <!-- Row start -->
        <div class="row justify-content-between">
            <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5 col-12">
            <a href="#" onclick="window.history.go(-1); return false" id="back" style="text-decoration:underline"><span class="badge bg-info">Return Back</span></a><br>
                <a href="#" class="logo">
                <img src="/assets/img/{{$app->app_logo}}" alt="Logo" style="max-width:70px;">
                </a>
            </div>
            <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5 col-12">
                <address class="text-right">
                    Printed by: {{auth()->user()->name}} <br>
                    Printed Date:  <?=@strtoupper(date('Y-m-d h:i:s a')) ?><br>
                </address>
            </div>
        </div>
        <!-- Row end -->
    </div>

    <!-- Row start -->
    <div class="row gutters">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="invoice-details">
                <address class="m-0">
                    <strong>{{$app->app_name}}</strong>,<br>
                    <strong><?= @strtoupper("Item Stock Ledger -  [History of $item->item_name]") ?></strong><br>
                    REPORT FOR: <?=@strtoupper(auth()->user()->station);?>
                </address>

                <div class="invoice-num">
                    <div>Report Date</div>
                    <div>{{session()->get('item_history_date')}}</div>
                </div>
            </div>
        </div>
    </div>
    <!-- Row end -->

    <div class="table-responsive">
    @if($reporting->isEmpty())
        <?php $last_stock = \DB::table('item_stock_ledgers')->where('date', $dayClose->day_close)
        ->where('item_id', $item->id)
        ->where('station', auth()->user()->station)->first(); 
        ?>
        <table class="table table-bordered table-striped m-0">
                <thead>
                        <tr>
                        <th>Items</th>
                        <th>Unit</th>
                        <th>Date</th>
                        <th>Opening Bal.</th>
                        <th>Stock In</th>
                        <th>Stock Out</th>
                        <th>Balance</th>
                        <th>Rate</th>
                        <th>Item value</th>
                        </tr>
                </thead>
                    <tbody>
                            <tr>
                                <td>{{$last_stock->item_name}}</td>
                                <td>{{$last_stock->item_unit}}</td>
                                <td>{{session()->get('item_history_date')}}</td>
                                <td>{{$last_stock->item_closing_stock}}</td>
                                <td>@convert(0)</td>
                                <td>@convert(0)</td>
                                <td>{{$last_stock->item_closing_stock}}</td>
                                <td>{{$last_stock->item_cost}}</td>
                                <td>{{empty($app->currency) ? "GHS" : $app->currency}}{{$last_stock->item_closing_stock * $last_stock->item_cost}}</td>
                            </tr>
                    </tbody>
                    <tfoot>
                        <tr>
                            <td></td>
                            <td></td>
                            <td><strong>Total</strong></td>
                            <td>@convert($last_stock->item_closing_stock)</td>
                            <td>@convert(0)</td>
                            <td>@convert(0)</td>
                            <td>@convert($last_stock->item_closing_stock)</td>
                            <td></td>
                            <td><strong>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($last_stock->item_closing_stock * $last_stock->item_cost)</strong></td>
                        </tr>
                    </tfoot>
                    </table>
    @else
	<table class="table table-bordered table-striped m-0">
    <thead>
                                <tr>
                                <th>Items</th>
                                <th>UOM</th>
                                <th>Date</th>
                                <th>Opening Bal.</th>
                                <th>Stock In</th>
                                <th>Stock Out</th>
                                <th>Balance</th>
                                <th>Rate</th>
                                <th>Item value</th>
                                </tr>
                        </thead>
                            <tbody>

                            <?php $sum = 0;
                                $sumCash = 0; 
                                $stockout = 0; 
                                $stockin = 0; 
                                $balance = 0; 
                                $opening_balance = 0; 
                                foreach ($reporting as $report) {

                                    $cash = $report->item_cost;
                                    
                                    $in = $report->item_recieved+$report->item_purchases+$report->item_manufacturing;
                                    $out = $report->item_issue + $report->item_adjustment + $report->item_sales+$report->item_wastage+$report->item_cons_manufacturing;
                                    
                                    $opening = $report->item_opening_stock;

                                    $result = $report->item_cost * (($in+$opening) - $out);

                                    $balance_ = ($in+$opening) - $out;
                                    

                                    $sum+=$result;
                                    $sumCash+=$cash;
                                    $stockout += $out; 
                                    $stockin += $in; 
                                    $balance += $balance_;
                                    $opening_balance += $report->item_opening_stock;

                                    }
                                
                                ?>

                            @foreach($reporting as $report)

                            <tr>
                                <td>
                                <?php $date = $dayClose->day_close;
                                    $date1 = new \DateTime($date);
                                    $dayclose = $date1->format('m/d/Y');
                                ?>
                                <form method="get" action="{{route('productHistory')}}" id="form-id<?= $report->item_id?>">
                                    <input type="text" name="item_name" value="{{$report->item_name}}" hidden>
                                    <input type="text" name="item_id" value="{{$report->item_id}}" hidden>
                                    <input type="text" name="opening" value="{{$report->item_opening_stock}}" hidden>
                                    <input type="text" name="closing" value="{{$report->item_closing_stock}}" hidden>
                                    <input type="text" name="date" hidden  value="{{request()->date == null ? $dayclose . " - " . $dayclose : request()->date}}">
                                </form>
                                <a href="javascript:void(0)" onclick="document.getElementById('form-id<?=$report->item_id?>').submit();">{{$report->item_name}}</a></td>
                                <td>{{$report->item_unit}}</td>
                               <td>{{$report->date}}</td>
                               <td>@convert($report->item_opening_stock)</td>
                                <td>@convert($in_report = $report->item_recieved + $report->item_purchases+$report->item_manufacturing)</td>
                                <td>@convert($out_report = $report->item_issue + $report->item_adjustment + $report->item_sales+$report->item_wastage+$report->item_cons_manufacturing)</td>
                                <td>
                                @convert(($in_report+$report->item_opening_stock) - $out_report)
                                </td>
                                <td>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($report->item_cost)</td>
                                <td>{{empty($app->currency) ? "GHS" : $app->currency}} @convert( $report->item_cost * (($in_report+$report->item_opening_stock) - $out_report))</td>

                            </tr>
                            @endforeach
                            <tr>
                                    <td>GRAND TOTAL</td>
                                    <td></td>
                                    <td></td>
                                    <td><strong>{{$opening_balance}}</strong></td>
                                    <td> <strong>@convert($stockin)</strong></td>
                                    <td> <strong>@convert($stockout)</strong></td>
                                    <td><strong></strong></td>
                                    <td></td>
                                    <td>{{empty($app->currency) ? "GHS" : $app->currency}} <strong>
                                        
                                    @convert($sum)

                                    </strong></td>
                                </tr>
                                
                            </tbody>

	</table>
    @endif
</div>

</div>
</div>
</div>



		<!-- *************
			************ Required JavaScript Files *************
		************* -->
		<!-- Required jQuery first, then Bootstrap Bundle JS -->
		<script src="{{asset('assets/js/jquery.min.js')}}"></script>
		<script src="{{asset('assets/js/bootstrap.bundle.min.js')}}"></script>
		<script src="{{asset('assets/js/modernizr.js')}}"></script>
		<script src="{{asset('assets/js/moment.js')}}"></script>

		<!-- *************
			************ Vendor Js Files *************
		************* -->

		<!-- Sweet Alerts js -->
		<script src="{{asset('assets/libs/sweetalert2/sweetalert2.min.js')}}"></script>
		
		<!-- Megamenu JS -->
		<script src="{{asset('assets/vendor/megamenu/js/megamenu.js')}}"></script>
		<script src="{{asset('assets/vendor/megamenu/js/custom.js')}}"></script>

		<!-- Slimscroll JS -->
		<script src="{{asset('assets/vendor/slimscroll/slimscroll.min.js')}}"></script>
		<script src="{{asset('assets/vendor/slimscroll/custom-scrollbar.js')}}"></script>

		<!-- Search Filter JS -->
		<script src="{{asset('assets/vendor/search-filter/search-filter.js')}}"></script>
		<script src="{{asset('assets/vendor/search-filter/custom-search-filter.js')}}"></script>

		<!-- Apex Charts -->
		<script src="{{asset('assets/vendor/apex/apexcharts.min.js')}}"></script>
		<script src="{{asset('assets/vendor/apex/custom/home/salesGraph.js')}}"></script>
		<script src="{{asset('assets/vendor/apex/custom/home/ordersGraph.js')}}"></script>
		<script src="{{asset('assets/vendor/apex/custom/home/earningsGraph.js')}}"></script>
		<script src="{{asset('assets/vendor/apex/custom/home/visitorsGraph.js')}}"></script>
		<script src="{{asset('assets/vendor/apex/custom/home/customersGraph.js')}}"></script>
		<script src="{{asset('assets/vendor/apex/custom/home/sparkline.js')}}"></script>

		<!-- Circleful Charts -->
		<script src="{{asset('assets/vendor/circliful/circliful.min.js')}}"></script>
		<script src="{{asset('assets/vendor/circliful/circliful.custom.js')}}"></script>


		<!-- Bootstrap Select JS -->
		<script src="{{asset('assets/vendor/bs-select/bs-select.min.js')}}"></script>
		<script src="{{asset('assets/vendor/bs-select/bs-select-custom.js')}}"></script>


		<!-- Data Tables -->
		<script src="{{asset('assets/vendor/datatables/dataTables.min.js')}}"></script>
		<script src="{{asset('assets/vendor/datatables/dataTables.bootstrap.min.js')}}"></script>
		
		<!-- Custom Data tables -->
		<script src="{{asset('assets/vendor/datatables/custom/custom-datatables.js')}}"></script>

		<!-- Download / CSV / Copy / Print -->
		<script src="{{asset('assets/vendor/datatables/buttons.min.js')}}"></script>
		<script src="{{asset('assets/vendor/datatables/jszip.min.js')}}"></script>
		<script src="{{asset('assets/vendor/datatables/pdfmake.min.js')}}"></script>
		<script src="{{asset('assets/vendor/datatables/vfs_fonts.js')}}"></script>
		<script src="{{asset('assets/vendor/datatables/html5.min.js')}}"></script>
		<script src="{{asset('assets/vendor/datatables/buttons.print.min.js')}}"></script>

		<!-- Dropzone JS -->
		<script src="{{asset('assets/vendor/dropzone/dropzone.min.js')}}"></script>

		<!-- Date Range JS -->
		<script src="{{asset('assets/vendor/daterange/daterange.js')}}"></script>
		<script src="{{asset('assets/vendor/daterange/custom-daterange.js')}}"></script>

		<!-- Main Js Required -->
		<script src="{{asset('assets/js/main.js')}}"></script>

	</body>

</html>
